//
//  bt_att_data.h
//
//  Bluetooth Protocol Stack - Attribute Database manager - database parameter
//   <Sample data>
//
//  Update history
//  ---------- ----- -------------------------------------------
//  2015.02.20 v0.3b The new "bt_att_data.c" is independent of the ATT database user data
//
#ifndef BT_ATT_DATA_H
#define	BT_ATT_DATA_H

//
//  Sample Service (private)
//

// SERVICE-UUID:
#define UUID_MY_SERVICE     0x83B53D6A,0xF330,0x4C9A,0x888C,0xD69BF306FF00

// CHARACTERISTIC-UUID:
#define UUID_MY_CHAR0       0x83B53D6A,0xF330,0x4C9A,0x888C,0xD69BF306FF01
#define UUID_MY_CHAR1       0x83B53D6A,0xF330,0x4C9A,0x888C,0xD69BF306FF02
#define UUID_MY_CHAR2       0x83B53D6A,0xF330,0x4C9A,0x888C,0xD69BF306FF03
#define UUID_MY_CHAR3       0x83B53D6A,0xF330,0x4C9A,0x888C,0xD69BF306FF04

// Join
#define ATT_DB_HANDLE_CHAR0 0x1002
#define ATT_DB_HANDLE_CHAR1 0x1012
#define ATT_DB_HANDLE_CHAR2 0x1022
#define ATT_DB_HANDLE_CHAR3 0x1032

#endif	/* BT_ATT_DATA_H */

