//
//  bt_security_manager.h
//
//  Bluetooth Protocol Stack - Security Manager
//  Copyright (C) 2014 Toyohiko Togashi tog001@nifty.com
//
//
//  This program is free software; you can redistribute it and/or modify it under the terms of the
//  GNU General Public License as published by the Free Software Foundation; either version 3
//  of the License, or (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
//  without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
//  See the GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License along with this program.
//  If not, see <http://www.gnu.org/licenses/>
//
//
//  Update history
//  ---------- ----- -------------------------------------------
//  2014.02.23 v0.0  First cording
//  2014.03.05 v0.2  Commit
//

#ifndef BT_SECURITY_MANAGER_H_
#define BT_SECURITY_MANAGER_H_

#include <string.h>

extern size_t bt_securityManager(
        unsigned short  handle,             // Communication handle
        unsigned char  *inBuff,
        size_t          inLen,
        unsigned char  *outBuff,
        size_t          outSize);

#endif /* BT_SECURITY_MANAGER_H_ */
