//
//  Oscillator configuration (PIC32MX250F128B)
//
#include <stddef.h>
#include "system/devcon/sys_devcon.h"
#include "system/clk/sys_clk.h"
#include "peripheral/osc/plib_osc.h"

void SYS_CLK_Initialize(const SYS_CLK_INIT const * clkInit)
{
    return;
}


inline uint32_t SYS_CLK_SystemFrequencyGet(void)
{
    return SYS_CLK_FREQ;
}


inline uint32_t SYS_CLK_PeripheralFrequencyGet(CLK_BUSES_PERIPHERAL peripheralBus)
{
    return SYS_CLK_BUS_PERIPHERAL_1;
}


inline uint32_t SYS_CLK_ReferenceClockFrequencyGet(CLK_BUSES_REFERENCE referenceBus)
{
    return 0;
}