//
//  Giant loop
//
#include <stddef.h>                     // Need a sys_devcon.h
#include "system/devcon/sys_devcon.h"   // Harmony
#include "system/tmr/sys_tmr.h"         // Harmony
#include "driver/tmr/drv_tmr.h"         // Harmony
#include "usb/usb_host.h"               // Harmony
#include "system_definitions.h"
#include "app.h"

void SYS_Tasks(void) {
    SYS_DEVCON_Tasks(sysObj.sysDevcon);
    SYS_TMR_Tasks(sysObj.sysTmr);
    DRV_TMR_Tasks(sysObj.drvTmr0);
    USB_HOST_Tasks(sysObj.usbHostObject0);

    if (SYS_TMR_Status(sysObj.sysTmr) == SYS_STATUS_READY) {
        APP_Tasks();
    }
}
