//
//  Standard main
//
#include <stddef.h>                     // Defines NULL
#include <stdlib.h>                     // Defines EXIT_FAILURE
#include "system/common/sys_module.h"   // SYS function prototypes

int main(void)
{
    SYS_Initialize(NULL);               // Initialize all MPLAB Harmony modules, including application(s).
    for(;;) {
        SYS_Tasks();                    // Maintain state machines of all polled MPLAB Harmony modules.
    }
    return(EXIT_FAILURE);               // Execution should not come here during normal operation
}
