//
//  Interrupt service routines
//
#include <sys/attribs.h>                // __ISR()
#include "system/int/sys_int.h"         // Harmony
#include "driver/tmr/drv_tmr.h"         // Harmony
#include "usb/usb_host.h"               // Harmony
#include "system_definitions.h"         // Common blocks
#include "rtc.h"                        // time(), Date & Time

void __ISR(_USB_1_VECTOR , ipl4) _InterruptHandler_USB_stub(void) {
    USB_HOST_Tasks_ISR(sysObj.usbHostObject0);
    return;
}

void __ISR(_TIMER_2_VECTOR, ipl4) _IntHandlerDrvTmrInstance0(void) {
    DRV_TMR_Tasks_ISR(sysObj.drvTmr0);
    return;
}
